
Redmine - Defect #7462

after upgrade to Redmine 1.1.0 - Can not create new issue(s)

2011-01-26 22:22 - alex patton

Status: Closed Start date: 2011-01-26

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

Nothing shows in the logs as an error.

Processing IssuesController#new (for 216.155.127.45 at 2011-01-26 14:53:07) [POST]

Parameters: {"commit"=>"Create", "project_id"=>"version", "action"=>"new",

"authenticity_token"=>"BwfqrOd3G6mpVvUfYVvDixftcVlOttFN/C+KpdQcGcc=", "id"=>"", "issue"=>{"start_date"=>"2011-01-26",

"estimated_hours"=>"", "priority_id"=>"4", "parent_issue_id"=>"", "done_ratio"=>"0", "assigned_to_id"=>"", "subject"=>"",

"tracker_id"=>"4", "due_date"=>"", "status_id"=>"1", "description"=>""}, "controller"=>"issues",

"attachments"=>{"1"=>{"description"=>""}}}

Completed in 50ms (View: 11, DB: 2) | 200 OK [http://www.ozeanded.com/issues/new?id=&project_id=version]

However, when adding an issue, it will not throw an error AND it will not show up as an issue.  I have double checked all permissions

in workflow.  I am an admin - all are checked.

database version:  Mysql - Server version: 5.1.52

Steps to recreate:

sign into redmine

create new issue

complete all fields

hit save

redmine returns to project's issue list.  No error is returned - Issue is not included/created.

check production log - no error

Plugins installed:

stuff to do

issues_backlighter

sealth_mode

time_tracker

timesheet

steps taken:

used myphpadmin to review database - issue is not created.

checked permission of user - appropriate.

tested with different trackers - having same results - none created

resinstalled redmine 1.1.0 and migrated all plugins and db per instructions - same issue.

punched self in face.

Please help.

History

#1 - 2011-01-26 23:06 - alex patton

about:

Ruby version              1.8.7 (i686-linux)

RubyGems version          1.3.7

Rack version              1.0

Rails version             2.3.5

Active Record version     2.3.5

Active Resource version   2.3.5
Action Mailer version     2.3.5

Active Support version    2.3.5

Edge Rails revision       unknown

Application root          /home/ozeanded/rails_apps/redmine-1.1.0

Environment               production

Database adapter          mysql

Database schema version   20101114115359

About your Redmine plugins

Redmine Issues Backlighter Plugin   0.0.1

Stuff To Do Plugin                  0.4.0

Redmine Stealth plugin              0.1.0

Redmine Time Tracker plugin         0.3

Timesheet Plugin                    0.6.0

#2 - 2011-02-09 17:17 - Etienne Massip

Could you try without plugins ?

#3 - 2011-02-25 16:30 - alex patton

- Status changed from New to Resolved

- % Done changed from 0 to 100

I started with a fresh install, and then added plug ins back one by one.

It was an offending plug in.

#4 - 2011-02-25 16:43 - Etienne Massip

- Status changed from Resolved to Closed

- Resolution set to Invalid

Thanks for feedback !
